#
# spec file for package [VarGibbs]
#

# norootforbuild

Name:           VarGibbs
Version:        1.1
Release:        6.14
#Release:        1.<CI_CNT>.<B_CNT>
Summary:        Minimization method for calculating DNA nearest-neighbour thermodynamic parameters

License:        GPL-3.0
Group:		Productivity/Scientific/Physics
URL:            https://sites.google.com/site/geraldweberufmg/vargibbs
Source0:        vargibbs-1.1.tar.bz2

BuildRequires:  gcc-c++ 
BuildRequires:  gsl gsl-devel
BuildRequires:  boost-devel
%if 0%{?suse_version} == 1140
BuildRequires:  libboost_filesystem1_44_0
%endif
%if 0%{?suse_version} == 1210
BuildRequires:  libboost_filesystem1_46_1
%endif
%if 0%{?suse_version} == 1220
BuildRequires:  libboost_filesystem1_49_0 libboost_system1_49_0
%endif
%if 0%{?suse_version} == 1230
BuildRequires:  libboost_filesystem1_49_0 libboost_system1_49_0
%endif
%if 0%{?suse_version} == 1310
BuildRequires:  libboost_filesystem1_53_0 libboost_system1_53_0
%endif
%if 0%{?suse_version} == 1320
BuildRequires:  libboost_filesystem1_54_0 libboost_system1_54_0
%endif
%if %{defined fedora}
BuildRequires:  boost-filesystem
%endif
%if 0%{?suse_version}
BuildRequires:  libblas3 
%endif
%if %{defined fedora}
BuildRequires:  blas
%endif
BuildRequires:  zlib-devel


%description
Numerical method for calculating nearest-neighbour (NN) entropy and enthalpy parameters 
from nucleotide melting temperatures.

%prep
%setup -q

%build
make 


%install
mkdir -p %{buildroot}/%{_bindir}
install -m 755 vargibbs %{buildroot}/%{_bindir}/vargibbs
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -r examples %{buildroot}/%{_datadir}/%{name}
cp -r data %{buildroot}/%{_datadir}/%{name}

%clean
rm -rf %%{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/vargibbs
%doc doc/vargibbs-user-manual.pdf
%doc gpl-3.0.txt
%{_datadir}/%{name}

%changelog
* Fri Dec 10 2015 <gweberbh@gmail.com> 1.1
Documentation updates. Code clean up, removed gbc_exp from C++ name space. Linking to the library libboost_regex is now required. Added optimized parameter files at different salt concentrations for D-OW04 datasets. Added new parameters from the literature. Correcting bug which was not generating complementary sequence when cseq was not given. You can now specify a list of Ct concentrations in option -ct.
* Fri Jul 25 2014 <gweberbh@gmail.com> 1.0
First Public Release 
